using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("数据上传 | 数据导出 | 邮件附件 文件记录表 （需要同步）")]
[Table("CommonDocument")]
public class CommonDocument : BaseFullDeleteAuditEntity
{
    [Comment("业务场景")]
    public EmailBusinessScenario BusinessScenarioEnum { get; set; }

    public string Code { get; set; } = null!;

    [Comment("系统标准枚举")]
    public CriterionType? CriterionTypeEnum { get; set; }

    public string Description { get; set; } = null!;

    [Comment("类型-上传|导出|邮件附件")]
    public CommonDocumentFileType FileTypeEnum { get; set; }

    public string Name { get; set; } = null!;

    public string NameCN { get; set; } = null!;

    public string Path { get; set; } = null!;
}
